package com.steerinfo.dil.controller;

import com.steerinfo.dil.mapper.CommonSeq;
import com.steerinfo.dil.model.RmsLink;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.dil.service.IRmsLinkService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.*;
import java.math.BigDecimal;

/**
 * RmsLink RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-23 10:45
 * 类描述
 * 修订历史：
 * 日期：2021-11-23
 * 作者：generator
 * 参考：
 * 描述：RmsLink RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/rmslinks")
public class RmsLinkController extends BaseRESTfulController {

    @Autowired
    IRmsLinkService rmsLinkService;
    @Autowired
    CommonSeq commonSeq;


    //查询所有作业环节
    @ApiOperation(value="查询所有作业环节")
    @PostMapping("/getLink")
    public RESTfulResult getLink(){
        return success(rmsLinkService.getLink());
    }

    //查询所有作业环节
    @ApiOperation(value="增加作业环节")
    @PostMapping("/LinkInsertSelective")
    public RESTfulResult LinkInsertSelective(@RequestBody(required = false) Map<String,Object> mapValue){
        RmsLink rmsLink = new RmsLink();
        String linkName = mapValue.get("linkName").toString();
        //获取作业环节主键ID
        int linkId = commonSeq.getId("seq_RMS_LINK");
        String insertUsername = mapValue.get("userName").toString();
        if(insertUsername == null || insertUsername == ""){
            insertUsername = "admin";
        }
        Date insertTime = new Date();
        rmsLink.setLinkId(new BigDecimal(linkId));
        rmsLink.setLinkName(linkName);
        rmsLink.setInsertUsername(insertUsername);
        rmsLink.setInsertTime(insertTime);
        rmsLink.setDeleted(new BigDecimal(0));
        int i = rmsLinkService.insertSelective(rmsLink);
        return success(i);
    }
}
