package com.steerinfo.dil.controller;

import com.steerinfo.dil.model.RmsPier;
import com.steerinfo.dil.service.impl.RmsPierServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @author luobang
 * @create 2021-11-15 15:13
 */
@RestController
@RequestMapping("/${api.version}/rmsPier")
public class RmsPierController extends BaseRESTfulController {

    @Autowired
    RmsPierServiceImpl rmsPierService;
    @Autowired
    ColumnDataUtil columnDataUtil;

    /**
     * 新增码头
     * @param rmsPier
     * @return
     */
    @PostMapping("/insertPier")
    public RESTfulResult insertPier(@RequestBody(required = true) RmsPier rmsPier){

        Integer integer = rmsPierService.insertPier(rmsPier);

        if (
                integer!=1
        ){
            return failed();
        }
        else{
            return success();
        }

    }

    /**
     * 修改码头
     * @param rmsPier
     * @return
     */
    @PostMapping("/editPier")
    public RESTfulResult editPier(@RequestBody(required = true)RmsPier rmsPier){

        Integer integer = rmsPierService.updatePier(rmsPier);
        if (
                integer!=1
        ){
            return failed();
        }
        else{
            return success();
        }

    }


    /**
     * 删除港口
     * @param PierId
     * @return
     */
    @PostMapping("/deletePier/{pierId}")
    public RESTfulResult deletePort(@PathVariable("pierId") BigDecimal pierId){

        Integer integer = rmsPierService.deletePier(pierId);
        if (
                integer!=1
        ){
            return failed();
        }
        else{
            return success();
        }

    }


    @ApiOperation(value="展示港口信息", notes="分页查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "196", required = false, dataType = "BigDecimal"),
    })
    @PostMapping(value = "/getPier")
    public RESTfulResult getPort(@RequestBody(required = false) Map<String,Object> mapVal,
                                 Integer pageNum,
                                 Integer pageSize,
                                 Integer apiId){
        List<Map<String,Object>> list = rmsPierService.getPier(mapVal);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = rmsPierService.getPier(mapVal);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, list, columnList);
        return success(data);
    }

    /**
     * 港口ID
     * @return
     */
    @GetMapping("/getPortId")
    public RESTfulResult getPortId(){
        return success(rmsPierService.getPortId());
    }
}
