package com.steerinfo.dil.feign;

import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.Map;

/**
 * @author zengjj
 * @version 1.0-SNAPSHORT 2021-11-23 05:01
 * 类描述
 * 修订历史：
 * 日期：2021-11-23
 * 作者：zengjj
 * 参考：
 * 描述：
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 * @see null
 */
@FeignClient(value ="DIL-AMS-API-DEV", url= "${openFeign.AmsFeign.url}")
public interface AmsFeign {
    /**
     * 油价联动导致运价变动，批量修改运价
     * @param
     * @return
     */
    @ApiOperation(value="油价联动导致运价变动，批量修改运价")
    @ApiImplicitParams({
    })
    @PostMapping(value = "/api/v1/ams/amscontracttruckprices/batchUpdateTransportPriceByOilPrice1")
    Map<String, Object> batchUpdateTransportPriceByOilPrice1();

}
