package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsDriverCapacity;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsDriverCapacityMapper extends IBaseMapper<RmsDriverCapacity, BigDecimal> {
    /*
    * 获取司机排班的信息
    * */
    List<Map<String, Object>> getDriverCapacityList(Map<String, Object> mapVal);

    /*
    * id自增
    * */
    @Select("select seq_RMS_DRIVER_CAPACITY.nextval from dual")
    BigDecimal selectDriverCapacityId();

    /*
    * 通过id获取司机排班
    * */
    List<Map<String, Object>> getDriverCapacityById(BigDecimal id);

    /*
    * 承运商id下拉框
    * */
    List<Map<String, Object>> getCarrierId();
    /*
    * 司机id下拉框
    * */
    List<Map<String, Object>> getDriverId();
    /*
    * 运力类型id下拉框
    * */
    List<Map<String, Object>> getCapacityTypeId();
}