package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsGatepost;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsGatepostMapper extends IBaseMapper<RmsGatepost, BigDecimal> {

    //展示门岗信息
    List<Map<String, Object>> getGatepostList(Map<String, Object> mapVal);

    //递增序列号
    @Select("SELECT seq__RMS_GATEPOST.nextval FROM dual")
    BigDecimal getGatepostId();

//获得详细的门岗规则信息
    List<Map<String, Object>> getGatepostById(BigDecimal id);
//获得门岗规则id
    List<Map<String, Object>> getGatepostRulesId();
//根据门岗id获得门岗规则详细信息
    List<Map<String, Object>> getGatepostRulesById(BigDecimal gatepostId);
//    获取门岗的最大id
    BigDecimal getGatepostMaxId();
//根据门岗id查询门岗名
    Map<String, Object> getGatepostName(BigDecimal gatepostId);
}