package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsGatepostRules;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsGatepostRulesMapper extends IBaseMapper<RmsGatepostRules, BigDecimal> {

    //递增序列号
    @Select("SELECT seq__RMS_GATEPOST_RULES.nextval FROM dual")
    BigDecimal getRulesId();
//    获取门岗规则
    List<Map<String, Object>> getGatepostRulesList(Map<String, Object> mapValue);
//获取车辆类型Id
    List<Map<String, Object>> getVehicleTypeId();
//获取材料Id
    List<Map<String, Object>> getMaterialId();
//    获取规则的最大值
    BigDecimal getRulesMaxId();
//根据规则Id获取原料名称
    List<Map<String, Object>> getMaterialByRulesId(Map<String, Object> mapValue);
}