package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsMaterialMapper extends IBaseMapper<RmsMaterial, BigDecimal> {

    // 展示物资信息
    List<Map<String, Object>> getMaterialList(Map<String, Object> mapVal);

    //递增序列号
    @Select("SELECT seq_RMS_MATERIAL.nextval FROM dual")
    BigDecimal getMaterialId();

    //    根据id值展示原材料信息
    List<Map<String,Object>> selectMaterialById(BigDecimal id);

//    获取原材料类型Id
    List<Map<String,Object>> getMaterialTypeId();
//    展示计量Id
    List<Map<String, Object>> getUnitOfMeasureId();
// 根据汽车衡测量的物资id，进行展示物资
    List<Map<String, Object>> getCalculateOfMaterialList(Map<String, Object> mapVal);
}