package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="司机信息")
public class RmsCarDriver implements IBasePO<BigDecimal> {
    /**
     * 主键id(DRIVER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal driverId;

    /**
     * 姓名(DRIVER_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="姓名",required=false)
    private String driverName;

    /**
     * 性别(DRIVER_SEX,VARCHAR,8)
     */
    @ApiModelProperty(value="性别",required=false)
    private String driverSex;

    /**
     * 年龄(DRIVER_AGE,DECIMAL,38)
     */
    @ApiModelProperty(value="年龄",required=false)
    private BigDecimal driverAge;

    /**
     * 电话(DRIVER_PHONE,VARCHAR,32)
     */
    @ApiModelProperty(value="电话",required=false)
    private String driverPhone;

    /**
     * 身份证(DRIVER_IDENTITY_CARD,VARCHAR,32)
     */
    @ApiModelProperty(value="身份证",required=false)
    private String driverIdentityCard;

    /**
     * 运输类型:0:危化品；1：其他(DRIVER_TRANSPORT_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="运输类型:0:危化品；1：其他",required=false)
    private BigDecimal transportTypeId;

    /**
     * 驾驶证(DRIVING_LICENCE,VARCHAR,32)
     */
    @ApiModelProperty(value="驾驶证",required=false)
    private String drivingLicence;

    /**
     * 驾龄(DRIVER_YEARS,DECIMAL,38)
     */
    @ApiModelProperty(value="驾龄",required=false)
    private BigDecimal driverYears;

    /**
     * 保险单(DRIVER_POLICY,VARCHAR,32)
     */
    @ApiModelProperty(value="保险单",required=false)
    private String driverPolicy;

    /**
     * 行驶证件号(DRIVING_PERMIT_NO,VARCHAR,32)
     */
    @ApiModelProperty(value="行驶证件号",required=false)
    private String drivingPermitNo;

    /**
     * 司机岗位状态(0：在岗；1：休假；2：离职)(DUTY_STATE_STATUS,VARCHAR,16)
     */
    @ApiModelProperty(value="司机岗位状态(0：在岗；1：休假；2：离职)",required=false)
    private String dutyStateStatus;

    /**
     * 紧急联系人(DRIVER_EMERGENCY_CONTACTS,VARCHAR,8)
     */
    @ApiModelProperty(value="紧急联系人",required=false)
    private String driverEmergencyContacts;

    /**
     * 紧急联系人电话(DRIVER_EMERGENCY_TEL,VARCHAR,16)
     */
    @ApiModelProperty(value="紧急联系人电话",required=false)
    private String driverEmergencyTel;

    /**
     * 家庭住址(DRIVER_ADDRESS,VARCHAR,32)
     */
    @ApiModelProperty(value="家庭住址",required=false)
    private String driverAddress;

    /**
     * 所属承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="所属承运商ID",required=false)
    private BigDecimal carrierId;

    /**
     * 排班组(CLASS_GROUP,VARCHAR,2)
     */
    @ApiModelProperty(value="排班组",required=false)
    private String classGroup;

    /**
     * 出生年月(DRIVER_BIRTH_DATE,VARCHAR,8)
     */
    @ApiModelProperty(value="出生年月",required=false)
    private String driverBirthDate;

    /**
     * 初领证时间(DRIVER_LICENSE_FIRST_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="初领证时间",required=false)
    private Date driverLicenseFirstDate;

    /**
     * 驾驶证有效开始时间(DRIVER_LICENSE_DATE_BEG,TIMESTAMP,7)
     */
    @ApiModelProperty(value="驾驶证有效开始时间",required=false)
    private Date driverLicenseDateBeg;

    /**
     * 驾驶证有效结束时间(DRIVER_LICENSE_DATE_END,TIMESTAMP,7)
     */
    @ApiModelProperty(value="驾驶证有效结束时间",required=false)
    private Date driverLicenseDateEnd;

    /**
     * 驾驶证到期预警时间(DRIVER_LICENSE_TIPS_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="驾驶证到期预警时间",required=false)
    private Date driverLicenseTipsDate;

    /**
     * 准驾车型(DRIVER_CAR_CLASS_NAME,VARCHAR,16)
     */
    @ApiModelProperty(value="准驾车型",required=false)
    private String driverCarClassName;

    /**
     * 备注(MEMO,VARCHAR,128)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 头像路径(DRIVER_PHOTO,BLOB,4000)
     */
    @ApiModelProperty(value="头像路径",required=false)
    private byte[] driverPhoto;

    /**
     * 驾驶证照片(DRIVER_LISENCE_PHOTO,BLOB,4000)
     */
    @ApiModelProperty(value="驾驶证照片",required=false)
    private byte[] driverLisencePhoto;

    /**
     * 行驶证照片(DRIVER_PERMIT_PHOTO,BLOB,4000)
     */
    @ApiModelProperty(value="行驶证照片",required=false)
    private byte[] driverPermitPhoto;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.driverId;
    }

    @Override
    public void setId(BigDecimal driverId) {
        this.driverId = driverId;
    }

    public BigDecimal getDriverId() {
        return driverId;
    }

    public void setDriverId(BigDecimal driverId) {
        this.driverId = driverId;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName == null ? null : driverName.trim();
    }

    public String getDriverSex() {
        return driverSex;
    }

    public void setDriverSex(String driverSex) {
        this.driverSex = driverSex == null ? null : driverSex.trim();
    }

    public BigDecimal getDriverAge() {
        return driverAge;
    }

    public void setDriverAge(BigDecimal driverAge) {
        this.driverAge = driverAge;
    }

    public String getDriverPhone() {
        return driverPhone;
    }

    public void setDriverPhone(String driverPhone) {
        this.driverPhone = driverPhone == null ? null : driverPhone.trim();
    }

    public String getDriverIdentityCard() {
        return driverIdentityCard;
    }

    public void setDriverIdentityCard(String driverIdentityCard) {
        this.driverIdentityCard = driverIdentityCard;
    }

    public BigDecimal getTransportTypeId() {
        return transportTypeId;
    }

    public void setTransportTypeId(BigDecimal transportTypeId) {
        this.transportTypeId = transportTypeId;
    }

    public String getDrivingLicence() {
        return drivingLicence;
    }

    public void setDrivingLicence(String drivingLicence) {
        this.drivingLicence = drivingLicence == null ? null : drivingLicence.trim();
    }

    public BigDecimal getDriverYears() {
        return driverYears;
    }

    public void setDriverYears(BigDecimal driverYears) {
        this.driverYears = driverYears;
    }

    public String getDriverPolicy() {
        return driverPolicy;
    }

    public void setDriverPolicy(String driverPolicy) {
        this.driverPolicy = driverPolicy == null ? null : driverPolicy.trim();
    }

    public String getDrivingPermitNo() {
        return drivingPermitNo;
    }

    public void setDrivingPermitNo(String drivingPermitNo) {
        this.drivingPermitNo = drivingPermitNo == null ? null : drivingPermitNo.trim();
    }

    public String getDutyStateStatus() {
        return dutyStateStatus;
    }

    public void setDutyStateStatus(String dutyStateStatus) {
        this.dutyStateStatus = dutyStateStatus == null ? null : dutyStateStatus.trim();
    }

    public String getDriverEmergencyContacts() {
        return driverEmergencyContacts;
    }

    public void setDriverEmergencyContacts(String driverEmergencyContacts) {
        this.driverEmergencyContacts = driverEmergencyContacts == null ? null : driverEmergencyContacts.trim();
    }

    public String getDriverEmergencyTel() {
        return driverEmergencyTel;
    }

    public void setDriverEmergencyTel(String driverEmergencyTel) {
        this.driverEmergencyTel = driverEmergencyTel == null ? null : driverEmergencyTel.trim();
    }

    public String getDriverAddress() {
        return driverAddress;
    }

    public void setDriverAddress(String driverAddress) {
        this.driverAddress = driverAddress == null ? null : driverAddress.trim();
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public String getClassGroup() {
        return classGroup;
    }

    public void setClassGroup(String classGroup) {
        this.classGroup = classGroup == null ? null : classGroup.trim();
    }

    public String getDriverBirthDate() {
        return driverBirthDate;
    }

    public void setDriverBirthDate(String driverBirthDate) {
        this.driverBirthDate = driverBirthDate == null ? null : driverBirthDate.trim();
    }

    public Date getDriverLicenseFirstDate() {
        return driverLicenseFirstDate;
    }

    public void setDriverLicenseFirstDate(Date driverLicenseFirstDate) {
        this.driverLicenseFirstDate = driverLicenseFirstDate;
    }

    public Date getDriverLicenseDateBeg() {
        return driverLicenseDateBeg;
    }

    public void setDriverLicenseDateBeg(Date driverLicenseDateBeg) {
        this.driverLicenseDateBeg = driverLicenseDateBeg;
    }

    public Date getDriverLicenseDateEnd() {
        return driverLicenseDateEnd;
    }

    public void setDriverLicenseDateEnd(Date driverLicenseDateEnd) {
        this.driverLicenseDateEnd = driverLicenseDateEnd;
    }

    public Date getDriverLicenseTipsDate() {
        return driverLicenseTipsDate;
    }

    public void setDriverLicenseTipsDate(Date driverLicenseTipsDate) {
        this.driverLicenseTipsDate = driverLicenseTipsDate;
    }

    public String getDriverCarClassName() {
        return driverCarClassName;
    }

    public void setDriverCarClassName(String driverCarClassName) {
        this.driverCarClassName = driverCarClassName == null ? null : driverCarClassName.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public byte[] getDriverPhoto() {
        return driverPhoto;
    }

    public void setDriverPhoto(byte[] driverPhoto) {
        this.driverPhoto = driverPhoto;
    }

    public byte[] getDriverLisencePhoto() {
        return driverLisencePhoto;
    }

    public void setDriverLisencePhoto(byte[] driverLisencePhoto) {
        this.driverLisencePhoto = driverLisencePhoto;
    }

    public byte[] getDriverPermitPhoto() {
        return driverPermitPhoto;
    }

    public void setDriverPermitPhoto(byte[] driverPermitPhoto) {
        this.driverPermitPhoto = driverPermitPhoto;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", driverId=").append(driverId);
        sb.append(", driverName=").append(driverName);
        sb.append(", driverSex=").append(driverSex);
        sb.append(", driverAge=").append(driverAge);
        sb.append(", driverPhone=").append(driverPhone);
        sb.append(", driverIdentityCard=").append(driverIdentityCard);
        sb.append(", transportTypeId=").append(transportTypeId);
        sb.append(", drivingLicence=").append(drivingLicence);
        sb.append(", driverYears=").append(driverYears);
        sb.append(", driverPolicy=").append(driverPolicy);
        sb.append(", drivingPermitNo=").append(drivingPermitNo);
        sb.append(", dutyStateStatus=").append(dutyStateStatus);
        sb.append(", driverEmergencyContacts=").append(driverEmergencyContacts);
        sb.append(", driverEmergencyTel=").append(driverEmergencyTel);
        sb.append(", driverAddress=").append(driverAddress);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", classGroup=").append(classGroup);
        sb.append(", driverBirthDate=").append(driverBirthDate);
        sb.append(", driverLicenseFirstDate=").append(driverLicenseFirstDate);
        sb.append(", driverLicenseDateBeg=").append(driverLicenseDateBeg);
        sb.append(", driverLicenseDateEnd=").append(driverLicenseDateEnd);
        sb.append(", driverLicenseTipsDate=").append(driverLicenseTipsDate);
        sb.append(", driverCarClassName=").append(driverCarClassName);
        sb.append(", memo=").append(memo);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", driverPhoto=").append(driverPhoto);
        sb.append(", driverLisencePhoto=").append(driverLisencePhoto);
        sb.append(", driverPermitPhoto=").append(driverPermitPhoto);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}