package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="司机排班")
public class RmsDriverCapacity implements IBasePO<BigDecimal> {
    /**
     * 主键ID(DRIVER_CAPACITY_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal driverCapacityId;

    /**
     * 司机ID(DRIVER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="司机ID",required=false)
    private BigDecimal driverId;

    /**
     * 运力ID(CAPACITY_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="运力ID",required=false)
    private BigDecimal capacityId;

    /*
    * 承运商ID
    * */
    @ApiModelProperty(value="承运商ID",required = false)
    private BigDecimal carrierId;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;
    
    private static final long serialVersionUID = 1L;
    
    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }
    
    @Override
    public BigDecimal getId() {
        return this.driverCapacityId;
    }

    @Override
    public void setId(BigDecimal driverCapacityId) {
        this.driverCapacityId = driverCapacityId;
    }

    public BigDecimal getDriverCapacityId() {
        return driverCapacityId;
    }

    public void setDriverCapacityId(BigDecimal driverCapacityId) {
        this.driverCapacityId = driverCapacityId;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public BigDecimal getDriverId() {
        return driverId;
    }

    public void setDriverId(BigDecimal driverId) {
        this.driverId = driverId;
    }

    public BigDecimal getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(BigDecimal capacityId) {
        this.capacityId = capacityId;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", driverCapacityId=").append(driverCapacityId);
        sb.append(", driverId=").append(driverId);
        sb.append(", capacityId=").append(capacityId);
        sb.append(",carrierId=").append(carrierId);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append(",deleted=").append(deleted);
        sb.append("]");
        return sb.toString();
    }
}