package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="门岗")
public class RmsGatepost implements IBasePO<BigDecimal> {
    /**
     * 主键ID(GATEPOST_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal gatepostId;

    /**
     * 门岗名称(GATEPOST_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="门岗名称",required=false)
    private String gatepostName;

    /**
     * 门岗经度(GATEPOST_LONGITUDE,VARCHAR,20)
     */
    @ApiModelProperty(value="门岗经度",required=false)
    private String gatepostLongitude;

    /**
     * 门岗纬度(GATEPOST_LATITUDE,VARCHAR,20)
     */
    @ApiModelProperty(value="门岗纬度",required=false)
    private String gatepostLatitude;

    /**
     * 门岗优先级(GATEPOST_PRIORITY,DECIMAL,0)
     */
    @ApiModelProperty(value="门岗优先级",required=false)
    private BigDecimal gatepostPriority;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.gatepostId;
    }

    @Override
    public void setId(BigDecimal gatepostId) {
        this.gatepostId = gatepostId;
    }

    public BigDecimal getGatepostId() {
        return gatepostId;
    }

    public void setGatepostId(BigDecimal gatepostId) {
        this.gatepostId = gatepostId;
    }

    public String getGatepostName() {
        return gatepostName;
    }

    public void setGatepostName(String gatepostName) {
        this.gatepostName = gatepostName == null ? null : gatepostName.trim();
    }

    public String getGatepostLongitude() {
        return gatepostLongitude;
    }

    public void setGatepostLongitude(String gatepostLongitude) {
        this.gatepostLongitude = gatepostLongitude == null ? null : gatepostLongitude.trim();
    }

    public String getGatepostLatitude() {
        return gatepostLatitude;
    }

    public void setGatepostLatitude(String gatepostLatitude) {
        this.gatepostLatitude = gatepostLatitude == null ? null : gatepostLatitude.trim();
    }

    public BigDecimal getGatepostPriority() {
        return gatepostPriority;
    }

    public void setGatepostPriority(BigDecimal gatepostPriority) {
        this.gatepostPriority = gatepostPriority;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", gatepostId=").append(gatepostId);
        sb.append(", gatepostName=").append(gatepostName);
        sb.append(", gatepostLongitude=").append(gatepostLongitude);
        sb.append(", gatepostLatitude=").append(gatepostLatitude);
        sb.append(", gatepostPriority=").append(gatepostPriority);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}