package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="门岗规则表")
public class RmsGatepostRules implements IBasePO<BigDecimal> {
    /**
     * 主键ID(RULES_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal rulesId;

    /**
     * 门岗ID(GATEPOST_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="门岗ID",required=false)
    private BigDecimal gatepostId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 门岗开门时间（存储格式：如上午8:11 为 081100)(RULES_GATEPOST_START_TIME,VARCHAR,20)
     */
    @ApiModelProperty(value="门岗开门时间（存储格式：如上午8:11 为 081100)",required=false)
    private String rulesGatepostStartTime;

    /**
     * 门岗关门时间(RULES_GATEPOST_END_TIME,VARCHAR,20)
     */
    @ApiModelProperty(value="门岗关门时间",required=false)
    private String rulesGatepostEndTime;

    /**
     * 门岗进出类型（0：进；1出）(RULES_GATEPOST_ENTRY_OUT_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="门岗进出类型（0：进；1出）",required=false)
    private BigDecimal rulesGatepostEntryOutType;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 车辆类型（指向capacity Type）(VEHICLE_TYPE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="车辆类型（指向capacity Type）",required=false)
    private BigDecimal vehicleTypeId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.rulesId;
    }

    @Override
    public void setId(BigDecimal rulesId) {
        this.rulesId = rulesId;
    }

    public BigDecimal getRulesId() {
        return rulesId;
    }

    public void setRulesId(BigDecimal rulesId) {
        this.rulesId = rulesId;
    }

    public BigDecimal getGatepostId() {
        return gatepostId;
    }

    public void setGatepostId(BigDecimal gatepostId) {
        this.gatepostId = gatepostId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public String getRulesGatepostStartTime() {
        return rulesGatepostStartTime;
    }

    public void setRulesGatepostStartTime(String rulesGatepostStartTime) {
        this.rulesGatepostStartTime = rulesGatepostStartTime == null ? null : rulesGatepostStartTime.trim();
    }

    public String getRulesGatepostEndTime() {
        return rulesGatepostEndTime;
    }

    public void setRulesGatepostEndTime(String rulesGatepostEndTime) {
        this.rulesGatepostEndTime = rulesGatepostEndTime == null ? null : rulesGatepostEndTime.trim();
    }

    public BigDecimal getRulesGatepostEntryOutType() {
        return rulesGatepostEntryOutType;
    }

    public void setRulesGatepostEntryOutType(BigDecimal rulesGatepostEntryOutType) {
        this.rulesGatepostEntryOutType = rulesGatepostEntryOutType;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public BigDecimal getVehicleTypeId() {
        return vehicleTypeId;
    }

    public void setVehicleTypeId(BigDecimal vehicleTypeId) {
        this.vehicleTypeId = vehicleTypeId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", rulesId=").append(rulesId);
        sb.append(", gatepostId=").append(gatepostId);
        sb.append(", materialId=").append(materialId);
        sb.append(", rulesGatepostStartTime=").append(rulesGatepostStartTime);
        sb.append(", rulesGatepostEndTime=").append(rulesGatepostEndTime);
        sb.append(", rulesGatepostEntryOutType=").append(rulesGatepostEntryOutType);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", vehicleTypeId=").append(vehicleTypeId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}