package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="运输线路")
public class RmsLine implements IBasePO<BigDecimal> {
    /**
     * 主键(LINE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键",required=true)
    private BigDecimal lineId;

    /**
     * 线路编号(LINE_NO,VARCHAR,16)
     */
    @ApiModelProperty(value="线路编号",required=false)
    private String lineNo;

    /**
     * 起点ID(LINE_START_NODE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="起点ID",required=false)
    private BigDecimal lineStartNodeId;

    /**
     * 0:进厂；1：计毛；2：计皮；3：卸货；4：装货；5：出厂(LINE_START_NODE_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="0:进厂；1：计毛；2：计皮；3：卸货；4：装货；5：出厂",required=false)
    private BigDecimal lineStartNodeType;

    /**
     * 起点描述(LINE_START_NODE_DESC,VARCHAR,64)
     */
    @ApiModelProperty(value="起点描述",required=false)
    private String lineStartNodeDesc;

    /**
     * 线路距离(LINE_PATH_LENGTH,DECIMAL,0)
     */
    @ApiModelProperty(value="线路距离",required=false)
    private Integer linePathLength;

    /**
     * 终点ID(LINE_END_NODE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="终点ID",required=false)
    private BigDecimal lineEndNodeId;

    /**
     * 0:进厂；1：计毛；2：计皮；3：卸货；4：装货；5：出厂(LINE_END_NODE_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="0:进厂；1：计毛；2：计皮；3：卸货；4：装货；5：出厂",required=false)
    private BigDecimal lineEndNodeType;

    /**
     * 终点描述(LINE_END_NODE_DESC,VARCHAR,64)
     */
    @ApiModelProperty(value="终点描述",required=false)
    private String lineEndNodeDesc;

    /**
     * 线路名称(LINE_NAME,VARCHAR,128)
     */
    @ApiModelProperty(value="线路名称",required=false)
    private String lineName;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private Integer deleted;

    /**
     * 1为内转，2为销售，3为采购(LINE_TYPE,DECIMAL,0)
     */
    @ApiModelProperty(value="1为内转，2为销售，3为采购",required=false)
    private Integer lineType;

    /**
     * 拼数(SPELL_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="拼数",required=false)
    private Integer spellNumber;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.lineId;
    }

    @Override
    public void setId(BigDecimal lineId) {
        this.lineId = lineId;
    }

    public BigDecimal getLineId() {
        return lineId;
    }

    public void setLineId(BigDecimal lineId) {
        this.lineId = lineId;
    }

    public String getLineNo() {
        return lineNo;
    }

    public void setLineNo(String lineNo) {
        this.lineNo = lineNo == null ? null : lineNo.trim();
    }

    public BigDecimal getLineStartNodeId() {
        return lineStartNodeId;
    }

    public void setLineStartNodeId(BigDecimal lineStartNodeId) {
        this.lineStartNodeId = lineStartNodeId;
    }

    public BigDecimal getLineStartNodeType() {
        return lineStartNodeType;
    }

    public void setLineStartNodeType(BigDecimal lineStartNodeType) {
        this.lineStartNodeType = lineStartNodeType;
    }

    public String getLineStartNodeDesc() {
        return lineStartNodeDesc;
    }

    public void setLineStartNodeDesc(String lineStartNodeDesc) {
        this.lineStartNodeDesc = lineStartNodeDesc == null ? null : lineStartNodeDesc.trim();
    }

    public Integer getLinePathLength() {
        return linePathLength;
    }

    public void setLinePathLength(Integer linePathLength) {
        this.linePathLength = linePathLength;
    }

    public BigDecimal getLineEndNodeId() {
        return lineEndNodeId;
    }

    public void setLineEndNodeId(BigDecimal lineEndNodeId) {
        this.lineEndNodeId = lineEndNodeId;
    }

    public BigDecimal getLineEndNodeType() {
        return lineEndNodeType;
    }

    public void setLineEndNodeType(BigDecimal lineEndNodeType) {
        this.lineEndNodeType = lineEndNodeType;
    }

    public String getLineEndNodeDesc() {
        return lineEndNodeDesc;
    }

    public void setLineEndNodeDesc(String lineEndNodeDesc) {
        this.lineEndNodeDesc = lineEndNodeDesc == null ? null : lineEndNodeDesc.trim();
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName == null ? null : lineName.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    public Integer getLineType() {
        return lineType;
    }

    public void setLineType(Integer lineType) {
        this.lineType = lineType;
    }

    public Integer getSpellNumber() {
        return spellNumber;
    }

    public void setSpellNumber(Integer spellNumber) {
        this.spellNumber = spellNumber;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", lineId=").append(lineId);
        sb.append(", lineNo=").append(lineNo);
        sb.append(", lineStartNodeId=").append(lineStartNodeId);
        sb.append(", lineStartNodeType=").append(lineStartNodeType);
        sb.append(", lineStartNodeDesc=").append(lineStartNodeDesc);
        sb.append(", linePathLength=").append(linePathLength);
        sb.append(", lineEndNodeId=").append(lineEndNodeId);
        sb.append(", lineEndNodeType=").append(lineEndNodeType);
        sb.append(", lineEndNodeDesc=").append(lineEndNodeDesc);
        sb.append(", lineName=").append(lineName);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", lineType=").append(lineType);
        sb.append(", spellNumber=").append(spellNumber);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}