package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="线路基本信息从表")
public class RmsLineSegemnt implements IBasePO<BigDecimal> {
    /**
     * 主键ID(SEGMENT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal segmentId;

    /**
     * 运输线路主表ID(LINE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="运输线路主表ID",required=false)
    private BigDecimal lineId;

    /**
     * 线路类别（0：拒绝；1：同意）(LINE_SEGMENT_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="线路类别（0：拒绝；1：同意）",required=false)
    private BigDecimal lineSegmentType;

    /**
     * 路段描述(SEGMENT_DESC,VARCHAR,64)
     */
    @ApiModelProperty(value="路段描述",required=false)
    private String segmentDesc;

    /**
     * 线路编号(SEGMENT_LINE_NO,VARCHAR,16)
     */
    @ApiModelProperty(value="线路编号",required=false)
    private String segmentLineNo;

    /**
     * 路段顺序号(SEGMENT_SQE,DECIMAL,38)
     */
    @ApiModelProperty(value="路段顺序号",required=false)
    private BigDecimal segmentSqe;

    /**
     * 起点ID(SEGMENT_START_NODE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="起点ID",required=false)
    private BigDecimal segmentStartNodeId;

    /**
     * 0:进厂；1：计毛；2：计皮；3：卸货；4：装货；5：出厂(SEGMENT_START_NODE_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="0:进厂；1：计毛；2：计皮；3：卸货；4：装货；5：出厂",required=false)
    private BigDecimal segmentStartNodeType;

    /**
     * 起点描述(SEGMENT_START_NODE_DESC,VARCHAR,64)
     */
    @ApiModelProperty(value="起点描述",required=false)
    private String segmentStartNodeDesc;

    /**
     * 终点ID(SEGMENT_END_NODE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="终点ID",required=false)
    private BigDecimal segmentEndNodeId;

    /**
     * 0:进厂；1：计毛；2：计皮；3：卸货；4：装货；5：出厂(SEGMENT_END_NODE_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="0:进厂；1：计毛；2：计皮；3：卸货；4：装货；5：出厂",required=false)
    private BigDecimal segmentEndNodeType;

    /**
     * 终点描述(SEGMENT_END_NODE_DESC,VARCHAR,64)
     */
    @ApiModelProperty(value="终点描述",required=false)
    private String segmentEndNodeDesc;

    /**
     * 里程(公里)(SEGMENT_DISTANCE_VAL,DECIMAL,0)
     */
    @ApiModelProperty(value="里程(公里)",required=false)
    private Integer segmentDistanceVal;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private Integer deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.segmentId;
    }

    @Override
    public void setId(BigDecimal segmentId) {
        this.segmentId = segmentId;
    }

    public BigDecimal getSegmentId() {
        return segmentId;
    }

    public void setSegmentId(BigDecimal segmentId) {
        this.segmentId = segmentId;
    }

    public BigDecimal getLineId() {
        return lineId;
    }

    public void setLineId(BigDecimal lineId) {
        this.lineId = lineId;
    }

    public BigDecimal getLineSegmentType() {
        return lineSegmentType;
    }

    public void setLineSegmentType(BigDecimal lineSegmentType) {
        this.lineSegmentType = lineSegmentType;
    }

    public String getSegmentDesc() {
        return segmentDesc;
    }

    public void setSegmentDesc(String segmentDesc) {
        this.segmentDesc = segmentDesc == null ? null : segmentDesc.trim();
    }

    public String getSegmentLineNo() {
        return segmentLineNo;
    }

    public void setSegmentLineNo(String segmentLineNo) {
        this.segmentLineNo = segmentLineNo == null ? null : segmentLineNo.trim();
    }

    public BigDecimal getSegmentSqe() {
        return segmentSqe;
    }

    public void setSegmentSqe(BigDecimal segmentSqe) {
        this.segmentSqe = segmentSqe;
    }

    public BigDecimal getSegmentStartNodeId() {
        return segmentStartNodeId;
    }

    public void setSegmentStartNodeId(BigDecimal segmentStartNodeId) {
        this.segmentStartNodeId = segmentStartNodeId;
    }

    public BigDecimal getSegmentStartNodeType() {
        return segmentStartNodeType;
    }

    public void setSegmentStartNodeType(BigDecimal segmentStartNodeType) {
        this.segmentStartNodeType = segmentStartNodeType;
    }

    public String getSegmentStartNodeDesc() {
        return segmentStartNodeDesc;
    }

    public void setSegmentStartNodeDesc(String segmentStartNodeDesc) {
        this.segmentStartNodeDesc = segmentStartNodeDesc == null ? null : segmentStartNodeDesc.trim();
    }

    public BigDecimal getSegmentEndNodeId() {
        return segmentEndNodeId;
    }

    public void setSegmentEndNodeId(BigDecimal segmentEndNodeId) {
        this.segmentEndNodeId = segmentEndNodeId;
    }

    public BigDecimal getSegmentEndNodeType() {
        return segmentEndNodeType;
    }

    public void setSegmentEndNodeType(BigDecimal segmentEndNodeType) {
        this.segmentEndNodeType = segmentEndNodeType;
    }

    public String getSegmentEndNodeDesc() {
        return segmentEndNodeDesc;
    }

    public void setSegmentEndNodeDesc(String segmentEndNodeDesc) {
        this.segmentEndNodeDesc = segmentEndNodeDesc == null ? null : segmentEndNodeDesc.trim();
    }

    public Integer getSegmentDistanceVal() {
        return segmentDistanceVal;
    }

    public void setSegmentDistanceVal(Integer segmentDistanceVal) {
        this.segmentDistanceVal = segmentDistanceVal;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", segmentId=").append(segmentId);
        sb.append(", lineId=").append(lineId);
        sb.append(", lineSegmentType=").append(lineSegmentType);
        sb.append(", segmentDesc=").append(segmentDesc);
        sb.append(", segmentLineNo=").append(segmentLineNo);
        sb.append(", segmentSqe=").append(segmentSqe);
        sb.append(", segmentStartNodeId=").append(segmentStartNodeId);
        sb.append(", segmentStartNodeType=").append(segmentStartNodeType);
        sb.append(", segmentStartNodeDesc=").append(segmentStartNodeDesc);
        sb.append(", segmentEndNodeId=").append(segmentEndNodeId);
        sb.append(", segmentEndNodeType=").append(segmentEndNodeType);
        sb.append(", segmentEndNodeDesc=").append(segmentEndNodeDesc);
        sb.append(", segmentDistanceVal=").append(segmentDistanceVal);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}