package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="托运方")
public class RmsShipper implements IBasePO<BigDecimal> {
    /**
     * 主键id(SHIPPER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal shipperId;

    /**
     * 托运方名称(SHIPPER_NAME,VARCHAR,32)
     */
    @ApiModelProperty(value="托运方名称",required=false)
    private String shipperName;

    /**
     * 托运方简称(SHIPPER_ABBREVIATION,VARCHAR,32)
     */
    @ApiModelProperty(value="托运方简称",required=false)
    private String shipperAbbreviation;

    /**
     * 属分公司(SHIPPER_COMPANY_BRANCH,VARCHAR,32)
     */
    @ApiModelProperty(value="属分公司",required=false)
    private String shipperCompanyBranch;

    /**
     * 分公司下属分厂(SHIPPER_BRANCH_FACTORY,VARCHAR,32)
     */
    @ApiModelProperty(value="分公司下属分厂",required=false)
    private String shipperBranchFactory;

    /**
     * 分厂下属区域(SHIPPER_FACTORY_AREA,VARCHAR,32)
     */
    @ApiModelProperty(value="分厂下属区域",required=false)
    private String shipperFactoryArea;

    /**
     * 区分代码(SHIPPER_PARTITION_CODE,VARCHAR,8)
     */
    @ApiModelProperty(value="区分代码",required=false)
    private String shipperPartitionCode;

    /**
     * 地址(SHIPPER_ADDRESS,VARCHAR,100)
     */
    @ApiModelProperty(value="地址",required=false)
    private String shipperAddress;

    /**
     * 法人代表(SHIPPER_LEGAL_REPRESENTATIVE,VARCHAR,32)
     */
    @ApiModelProperty(value="法人代表",required=false)
    private String shipperLegalRepresentative;

    /**
     * 委托代理人(SHIPPER_AGENT,VARCHAR,32)
     */
    @ApiModelProperty(value="委托代理人",required=false)
    private String shipperAgent;

    /**
     * 联系电话(SHIPPER_CONTACT_NUMBER,VARCHAR,64)
     */
    @ApiModelProperty(value="联系电话",required=false)
    private String shipperContactNumber;

    /**
     * 传真(SHIPPER_FAX,VARCHAR,32)
     */
    @ApiModelProperty(value="传真",required=false)
    private String shipperFax;

    /**
     * 账户(SHIPPER_ACCOUNT,VARCHAR,32)
     */
    @ApiModelProperty(value="账户",required=false)
    private String shipperAccount;

    /**
     * 开户行(SHIPPER_ACCOUNT_BLANK,VARCHAR,32)
     */
    @ApiModelProperty(value="开户行",required=false)
    private String shipperAccountBlank;

    /**
     * 注册号(SHIPPER_REGISTER_NO,VARCHAR,32)
     */
    @ApiModelProperty(value="注册号",required=false)
    private String shipperRegisterNo;

    /**
     * 税号(SHIPPER_DUTY_PARAGRAPH,VARCHAR,32)
     */
    @ApiModelProperty(value="税号",required=false)
    private String shipperDutyParagraph;

    /**
     * 邮政编码(SHIPPER_POSTAL_CODE,VARCHAR,32)
     */
    @ApiModelProperty(value="邮政编码",required=false)
    private String shipperPostalCode;

    /**
     * 联系人(SHIPPER_CONTACTS_NAME,VARCHAR,32)
     */
    @ApiModelProperty(value="联系人",required=false)
    private String shipperContactsName;

    /**
     * 注册资本(SHIPPER_REGISTER_CAPITAL,DECIMAL,0)
     */
    @ApiModelProperty(value="注册资本",required=false)
    private BigDecimal shipperRegisterCapital;

    /**
     * 经营范围(SHIPPER_BUSINESS_SCOPE,VARCHAR,256)
     */
    @ApiModelProperty(value="经营范围",required=false)
    private String shipperBusinessScope;

    /**
     * 年检年度(SHIPPER_ANNUAL_DATE,VARCHAR,16)
     */
    @ApiModelProperty(value="年检年度",required=false)
    private String shipperAnnualDate;

    /**
     * 企业状态(SHIPPER_COMPANY_STATUS_DESC,VARCHAR,16)
     */
    @ApiModelProperty(value="企业状态",required=false)
    private String shipperCompanyStatusDesc;

    /**
     * 经营期限(SHIPPER_OPERATION_PERIOD,VARCHAR,16)
     */
    @ApiModelProperty(value="经营期限",required=false)
    private String shipperOperationPeriod;

    /**
     * 成立日期(SHIPPER_REGISTER_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="成立日期",required=false)
    private Date shipperRegisterDate;

    /**
     * 登记机构(SHIPPER_REGISTER_ORGANIZATION,VARCHAR,16)
     */
    @ApiModelProperty(value="登记机构",required=false)
    private String shipperRegisterOrganization;

    /**
     * 相关资质(SHIPPER_REGISTER_APTITUDES,VARCHAR,16)
     */
    @ApiModelProperty(value="相关资质",required=false)
    private String shipperRegisterAptitudes;

    /**
     * 企业资信等级(SHIPPER_CREDENTIAL_DESC,VARCHAR,16)
     */
    @ApiModelProperty(value="企业资信等级",required=false)
    private String shipperCredentialDesc;

    /**
     * 备注(MEMO,VARCHAR,128)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 客户标识（AppId(SHIPPER_APPID,VARCHAR,100)
     */
    @ApiModelProperty(value="客户标识（AppId",required=false)
    private String shipperAppid;

    /**
     * 客户秘钥(SHIPPER_SECRETKEY,VARCHAR,100)
     */
    @ApiModelProperty(value="客户秘钥",required=false)
    private String shipperSecretkey;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.shipperId;
    }

    @Override
    public void setId(BigDecimal shipperId) {
        this.shipperId = shipperId;
    }

    public BigDecimal getShipperId() {
        return shipperId;
    }

    public void setShipperId(BigDecimal shipperId) {
        this.shipperId = shipperId;
    }

    public String getShipperName() {
        return shipperName;
    }

    public void setShipperName(String shipperName) {
        this.shipperName = shipperName == null ? null : shipperName.trim();
    }

    public String getShipperAbbreviation() {
        return shipperAbbreviation;
    }

    public void setShipperAbbreviation(String shipperAbbreviation) {
        this.shipperAbbreviation = shipperAbbreviation == null ? null : shipperAbbreviation.trim();
    }

    public String getShipperCompanyBranch() {
        return shipperCompanyBranch;
    }

    public void setShipperCompanyBranch(String shipperCompanyBranch) {
        this.shipperCompanyBranch = shipperCompanyBranch == null ? null : shipperCompanyBranch.trim();
    }

    public String getShipperBranchFactory() {
        return shipperBranchFactory;
    }

    public void setShipperBranchFactory(String shipperBranchFactory) {
        this.shipperBranchFactory = shipperBranchFactory == null ? null : shipperBranchFactory.trim();
    }

    public String getShipperFactoryArea() {
        return shipperFactoryArea;
    }

    public void setShipperFactoryArea(String shipperFactoryArea) {
        this.shipperFactoryArea = shipperFactoryArea == null ? null : shipperFactoryArea.trim();
    }

    public String getShipperPartitionCode() {
        return shipperPartitionCode;
    }

    public void setShipperPartitionCode(String shipperPartitionCode) {
        this.shipperPartitionCode = shipperPartitionCode == null ? null : shipperPartitionCode.trim();
    }

    public String getShipperAddress() {
        return shipperAddress;
    }

    public void setShipperAddress(String shipperAddress) {
        this.shipperAddress = shipperAddress == null ? null : shipperAddress.trim();
    }

    public String getShipperLegalRepresentative() {
        return shipperLegalRepresentative;
    }

    public void setShipperLegalRepresentative(String shipperLegalRepresentative) {
        this.shipperLegalRepresentative = shipperLegalRepresentative == null ? null : shipperLegalRepresentative.trim();
    }

    public String getShipperAgent() {
        return shipperAgent;
    }

    public void setShipperAgent(String shipperAgent) {
        this.shipperAgent = shipperAgent == null ? null : shipperAgent.trim();
    }

    public String getShipperContactNumber() {
        return shipperContactNumber;
    }

    public void setShipperContactNumber(String shipperContactNumber) {
        this.shipperContactNumber = shipperContactNumber == null ? null : shipperContactNumber.trim();
    }

    public String getShipperFax() {
        return shipperFax;
    }

    public void setShipperFax(String shipperFax) {
        this.shipperFax = shipperFax == null ? null : shipperFax.trim();
    }

    public String getShipperAccount() {
        return shipperAccount;
    }

    public void setShipperAccount(String shipperAccount) {
        this.shipperAccount = shipperAccount == null ? null : shipperAccount.trim();
    }

    public String getShipperAccountBlank() {
        return shipperAccountBlank;
    }

    public void setShipperAccountBlank(String shipperAccountBlank) {
        this.shipperAccountBlank = shipperAccountBlank == null ? null : shipperAccountBlank.trim();
    }

    public String getShipperRegisterNo() {
        return shipperRegisterNo;
    }

    public void setShipperRegisterNo(String shipperRegisterNo) {
        this.shipperRegisterNo = shipperRegisterNo == null ? null : shipperRegisterNo.trim();
    }

    public String getShipperDutyParagraph() {
        return shipperDutyParagraph;
    }

    public void setShipperDutyParagraph(String shipperDutyParagraph) {
        this.shipperDutyParagraph = shipperDutyParagraph == null ? null : shipperDutyParagraph.trim();
    }

    public String getShipperPostalCode() {
        return shipperPostalCode;
    }

    public void setShipperPostalCode(String shipperPostalCode) {
        this.shipperPostalCode = shipperPostalCode == null ? null : shipperPostalCode.trim();
    }

    public String getShipperContactsName() {
        return shipperContactsName;
    }

    public void setShipperContactsName(String shipperContactsName) {
        this.shipperContactsName = shipperContactsName == null ? null : shipperContactsName.trim();
    }

    public BigDecimal getShipperRegisterCapital() {
        return shipperRegisterCapital;
    }

    public void setShipperRegisterCapital(BigDecimal shipperRegisterCapital) {
        this.shipperRegisterCapital = shipperRegisterCapital;
    }

    public String getShipperBusinessScope() {
        return shipperBusinessScope;
    }

    public void setShipperBusinessScope(String shipperBusinessScope) {
        this.shipperBusinessScope = shipperBusinessScope == null ? null : shipperBusinessScope.trim();
    }

    public String getShipperAnnualDate() {
        return shipperAnnualDate;
    }

    public void setShipperAnnualDate(String shipperAnnualDate) {
        this.shipperAnnualDate = shipperAnnualDate == null ? null : shipperAnnualDate.trim();
    }

    public String getShipperCompanyStatusDesc() {
        return shipperCompanyStatusDesc;
    }

    public void setShipperCompanyStatusDesc(String shipperCompanyStatusDesc) {
        this.shipperCompanyStatusDesc = shipperCompanyStatusDesc == null ? null : shipperCompanyStatusDesc.trim();
    }

    public String getShipperOperationPeriod() {
        return shipperOperationPeriod;
    }

    public void setShipperOperationPeriod(String shipperOperationPeriod) {
        this.shipperOperationPeriod = shipperOperationPeriod == null ? null : shipperOperationPeriod.trim();
    }

    public Date getShipperRegisterDate() {
        return shipperRegisterDate;
    }

    public void setShipperRegisterDate(Date shipperRegisterDate) {
        this.shipperRegisterDate = shipperRegisterDate;
    }

    public String getShipperRegisterOrganization() {
        return shipperRegisterOrganization;
    }

    public void setShipperRegisterOrganization(String shipperRegisterOrganization) {
        this.shipperRegisterOrganization = shipperRegisterOrganization == null ? null : shipperRegisterOrganization.trim();
    }

    public String getShipperRegisterAptitudes() {
        return shipperRegisterAptitudes;
    }

    public void setShipperRegisterAptitudes(String shipperRegisterAptitudes) {
        this.shipperRegisterAptitudes = shipperRegisterAptitudes == null ? null : shipperRegisterAptitudes.trim();
    }

    public String getShipperCredentialDesc() {
        return shipperCredentialDesc;
    }

    public void setShipperCredentialDesc(String shipperCredentialDesc) {
        this.shipperCredentialDesc = shipperCredentialDesc == null ? null : shipperCredentialDesc.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public String getShipperAppid() {
        return shipperAppid;
    }

    public void setShipperAppid(String shipperAppid) {
        this.shipperAppid = shipperAppid == null ? null : shipperAppid.trim();
    }

    public String getShipperSecretkey() {
        return shipperSecretkey;
    }

    public void setShipperSecretkey(String shipperSecretkey) {
        this.shipperSecretkey = shipperSecretkey == null ? null : shipperSecretkey.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", shipperId=").append(shipperId);
        sb.append(", shipperName=").append(shipperName);
        sb.append(", shipperAbbreviation=").append(shipperAbbreviation);
        sb.append(", shipperCompanyBranch=").append(shipperCompanyBranch);
        sb.append(", shipperBranchFactory=").append(shipperBranchFactory);
        sb.append(", shipperFactoryArea=").append(shipperFactoryArea);
        sb.append(", shipperPartitionCode=").append(shipperPartitionCode);
        sb.append(", shipperAddress=").append(shipperAddress);
        sb.append(", shipperLegalRepresentative=").append(shipperLegalRepresentative);
        sb.append(", shipperAgent=").append(shipperAgent);
        sb.append(", shipperContactNumber=").append(shipperContactNumber);
        sb.append(", shipperFax=").append(shipperFax);
        sb.append(", shipperAccount=").append(shipperAccount);
        sb.append(", shipperAccountBlank=").append(shipperAccountBlank);
        sb.append(", shipperRegisterNo=").append(shipperRegisterNo);
        sb.append(", shipperDutyParagraph=").append(shipperDutyParagraph);
        sb.append(", shipperPostalCode=").append(shipperPostalCode);
        sb.append(", shipperContactsName=").append(shipperContactsName);
        sb.append(", shipperRegisterCapital=").append(shipperRegisterCapital);
        sb.append(", shipperBusinessScope=").append(shipperBusinessScope);
        sb.append(", shipperAnnualDate=").append(shipperAnnualDate);
        sb.append(", shipperCompanyStatusDesc=").append(shipperCompanyStatusDesc);
        sb.append(", shipperOperationPeriod=").append(shipperOperationPeriod);
        sb.append(", shipperRegisterDate=").append(shipperRegisterDate);
        sb.append(", shipperRegisterOrganization=").append(shipperRegisterOrganization);
        sb.append(", shipperRegisterAptitudes=").append(shipperRegisterAptitudes);
        sb.append(", shipperCredentialDesc=").append(shipperCredentialDesc);
        sb.append(", memo=").append(memo);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", shipperAppid=").append(shipperAppid);
        sb.append(", shipperSecretkey=").append(shipperSecretkey);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}