package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽车衡")
public class RmsTruckCalculate implements IBasePO<BigDecimal> {
    /**
     * 主键ID(TRUCK_CALCULATE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal truckCalculateId;

    /**
     * 汽车衡编号(TRUCK_CALCULATE_NUMBER,VARCHAR,20)
     */
    @ApiModelProperty(value="汽车衡编号",required=false)
    private String truckCalculateNumber;

    /**
     * 汽车衡状态(0：正常；1：维保)(TRUCK_CALCULATE_STATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="汽车衡状态(0：正常；1：维保)",required=false)
    private String truckCalculateStatus;

    /**
     * 汽车衡优先级（优先级1，优先级2，优先级3。若优先级1异常，则前往优先级2计量）(TRUCK_CALCULATE_PRIORITY,DECIMAL,38)
     */
    @ApiModelProperty(value="汽车衡优先级（优先级1，优先级2，优先级3。若优先级1异常，则前往优先级2计量）",required=false)
    private BigDecimal truckCalculatePriority;

    /**
     * 汽车衡经度(TRUCK_CALCULATE_LONGITUDE,VARCHAR,20)
     */
    @ApiModelProperty(value="汽车衡经度",required=false)
    private String truckCalculateLongitude;

    /**
     * 汽车衡纬度(TRUCK_CALCULATE_LATITUDE,VARCHAR,20)
     */
    @ApiModelProperty(value="汽车衡纬度",required=false)
    private String truckCalculateLatitude;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 汽车衡状态时间(TRUCK_CALCULATE_STATUS_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="汽车衡状态时间",required=false)
    private Date truckCalculateStatusTime;

    /*
    * 托运人Id
    * */
    @ApiModelProperty(value = "托运人",required = false)
    private BigDecimal shipperId;

    /**
     * 1：汽车衡 2：轨道衡(CALCULATE_TYPE,DECIMAL,7)
     */
    @ApiModelProperty(value="1：汽车衡 2：轨道衡",required=false)
    private String calculateType;
    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.truckCalculateId;
    }

    @Override
    public void setId(BigDecimal truckCalculateId) {
        this.truckCalculateId = truckCalculateId;
    }

    public BigDecimal getTruckCalculateId() {
        return truckCalculateId;
    }

    public void setTruckCalculateId(BigDecimal truckCalculateId) {
        this.truckCalculateId = truckCalculateId;
    }

    public String getTruckCalculateNumber() {
        return truckCalculateNumber;
    }

    public void setTruckCalculateNumber(String truckCalculateNumber) {
        this.truckCalculateNumber = truckCalculateNumber == null ? null : truckCalculateNumber.trim();
    }

    public String getTruckCalculateStatus() {
        return truckCalculateStatus;
    }

    public void setTruckCalculateStatus(String truckCalculateStatus) {
        this.truckCalculateStatus = truckCalculateStatus == null ? null : truckCalculateStatus.trim();
    }

    public BigDecimal getTruckCalculatePriority() {
        return truckCalculatePriority;
    }

    public void setTruckCalculatePriority(BigDecimal truckCalculatePriority) {
        this.truckCalculatePriority = truckCalculatePriority;
    }

    public String getTruckCalculateLongitude() {
        return truckCalculateLongitude;
    }

    public void setTruckCalculateLongitude(String truckCalculateLongitude) {
        this.truckCalculateLongitude = truckCalculateLongitude == null ? null : truckCalculateLongitude.trim();
    }

    public String getTruckCalculateLatitude() {
        return truckCalculateLatitude;
    }

    public void setTruckCalculateLatitude(String truckCalculateLatitude) {
        this.truckCalculateLatitude = truckCalculateLatitude == null ? null : truckCalculateLatitude.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public Date getTruckCalculateStatusTime() {
        return truckCalculateStatusTime;
    }

    public void setTruckCalculateStatusTime(Date truckCalculateStatusTime) {
        this.truckCalculateStatusTime = truckCalculateStatusTime;
    }

    public BigDecimal getShipperId() {
        return shipperId;
    }

    public void setShipperId(BigDecimal shipperId) {
        this.shipperId = shipperId;
    }

    public String getCalculateType() {
        return calculateType;
    }

    public void setCalculateType(String calculateType) {
        this.calculateType = calculateType;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", truckCalculateId=").append(truckCalculateId);
        sb.append(", truckCalculateNumber=").append(truckCalculateNumber);
        sb.append(", truckCalculateStatus=").append(truckCalculateStatus);
        sb.append(", truckCalculatePriority=").append(truckCalculatePriority);
        sb.append(", truckCalculateLongitude=").append(truckCalculateLongitude);
        sb.append(", truckCalculateLatitude=").append(truckCalculateLatitude);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", truckCalculateStatusTime=").append(truckCalculateStatusTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}