package com.steerinfo.dil.service;

import com.steerinfo.dil.model.RmsGatepost;

import java.math.BigDecimal;
import java.text.ParseException;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * RmsGatepost服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-12 11:51
 * 类描述
 * 修订历史：
 * 日期：2021-11-12
 * 作者：HuJieHuan
 * 参考：
 * 描述：RmsGatepost服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsGatepostService {
//    获取门岗信息
    List<Map<String, Object>> getGatepostList(Map<String, Object> mapVal) throws ParseException;
//删除门岗信息
    int deleteGatepost(BigDecimal id);
//更新门岗信息
    int updateGatepost(LinkedHashMap<String, Object> mapValue) throws Exception;
//插入门岗信息
    int insertGatepost(RmsGatepost rmsGatepost);
//根据门岗id获得门岗规则详细信息
    List<Map<String, Object>> getGatepostRulesById(BigDecimal id);
//获取车辆类型Id
    List<Map<String, Object>> getVehicleTypeId();
//获取原料Id
    List<Map<String, Object>> getMaterialId();
//根据规则Id删除规则
    int deleteGatepostRules(BigDecimal rulesId);
//插入门岗规则
    int insertGatepostRule(Map<String, Object> mapValue);
//根据门岗id查询门岗名
    Map<String, Object> getGatepostName(BigDecimal gatepostId);
}