package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsCapacityMapper;
import com.steerinfo.dil.model.RmsCapacity;
import com.steerinfo.dil.model.RmsCarrier;
import com.steerinfo.dil.service.IRmsCapacityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:ZhouZhou
 * @CreateTime:2021/11/9 14:21
 * @Version:V1.0
 */
@Service(value = "rmsCapacityService")
public class RmsCapacityServiceImpl implements IRmsCapacityService {
    @Autowired
    RmsCapacityMapper rmsCapacityMapper;

    /*
    * 获取运力信息
    * */
    @Override
    public List<Map<String, Object>> getCapacityList(Map<String, Object> mapVal) {
        return rmsCapacityMapper.getCapacityList(mapVal);
    }

    /*
    * 增加运力信息
    * */
    @Override
    public int insertCapacity(RmsCapacity rmsCapacity) {
        int i=0;
        String capacityNumber=rmsCapacity.getCapacityNumber();
        Map<String, Object> map=new HashMap<>();
        map.put("capacityNumber",capacityNumber);
        List<RmsCapacity> rmsCapacities=rmsCapacityMapper.selectByParameters(map);
        if (rmsCapacities.size()!=0){
            i=-1;
        }
        else {
            rmsCapacity.setCapacityStatus(new BigDecimal(0));
            rmsCapacity.setDeleted(new BigDecimal(0));
            rmsCapacity.setInsertTime(new Date());
            rmsCapacity.setInsertUsername("admin");
            rmsCapacity.setCapacityId(rmsCapacityMapper.selectCapacityId());
            i+= rmsCapacityMapper.insertSelective(rmsCapacity);
        }
        return i;
    }

    /*
    * 修改运力信息
    * */
    @Override
    public int updateCapacity(RmsCapacity rmsCapacity) {
        rmsCapacity.setUpdateTime(new Date());
        rmsCapacity.setUpdateUsername("admin");
        return rmsCapacityMapper.updateByPrimaryKeySelective(rmsCapacity);
    }

    /*
    * 删除运力信息
    * */
    @Override
    public int deleteCapacity(BigDecimal id) {
        RmsCapacity rmsCapacity = rmsCapacityMapper.selectByPrimaryKey(id);
       rmsCapacity.setDeleted(new BigDecimal(1));
        return rmsCapacityMapper.updateByPrimaryKeySelective(rmsCapacity);

    }

    /**
     * 根据id获取运力信息
     * @param id
     * @return
     */
    @Override
    public List<Map<String, Object>> getCapacityById(BigDecimal id) {
        return rmsCapacityMapper.getCapacityById(id);
    }

    /*
    * 获取下拉框
    * */
    @Override
    public  List<Map<String,Object>> getCapacityTypeId() {
        return rmsCapacityMapper.getCapacityTypeId();
    }

    @Override
    public List<Map<String, Object>> getCarrierId() {
        return rmsCapacityMapper.getCarrierId();
    }
}
