package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsCarDriverMapper;
import com.steerinfo.dil.model.RmsCarDriver;
import com.steerinfo.dil.model.RmsCarrier;
import com.steerinfo.dil.service.IRmsCarDriverService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:ZhouZhou
 * @CreateTime:2021/11/6 9:56
 * @Version:V1.0
 */


@Service(value = "rmsCarDriverService")
public class RmsCarDriverServiceImpl implements IRmsCarDriverService {
    @Autowired
    private RmsCarDriverMapper rmsCarDriverMapper;

    /*
    * 展现司机信息
    * */
    public List<Map<String, Object>> getCarDriverList(Map<String, Object> mapVal) {
        return rmsCarDriverMapper.getCarDriverList(mapVal);
    }

/*
* 根据id删除
* */
    @Override
    public int deleteCarDriver(BigDecimal id) {
        RmsCarDriver rmsCarDriver=rmsCarDriverMapper.selectByPrimaryKey(id);
        rmsCarDriver.setDeleted(new BigDecimal(1));
        return rmsCarDriverMapper.updateByPrimaryKeySelective(rmsCarDriver);
    }

/*
* 更新操作
* */
    @Override
    public int updateCarDriver(RmsCarDriver rmsCarDriver) {

        rmsCarDriver.setUpdateUsername("admin");
        rmsCarDriver.setUpdateTime(new Date());

      return  rmsCarDriverMapper.updateByPrimaryKeySelective(rmsCarDriver);
    }

 /*
 * 增加司机
 * */
    @Override
    public int insertCarDriver(RmsCarDriver rmsCarDriver) {
        int i=0;
        String driverIdentityCard=rmsCarDriver.getDriverIdentityCard();
        Map<String, Object> map=new HashMap<>();
        map.put("driverIdentityCard",driverIdentityCard);
        List<RmsCarDriver> rmsCarDrivers=rmsCarDriverMapper.selectByParameters(map);
        if (rmsCarDrivers.size()!=0){
            i=-1;
        }
        else {
            rmsCarDriver.setInsertUsername("admin");
            rmsCarDriver.setInsertTime(new Date());
            rmsCarDriver.setDeleted(new BigDecimal(0));
            rmsCarDriver.setDriverId(rmsCarDriverMapper.selectCarDriverId());
            i+= rmsCarDriverMapper.insertSelective(rmsCarDriver);
        }
        return i;
    }

    /**
     * 根据id查询司机信息
     * @param id
     * @return
     */
    @Override
    public List<Map<String,Object>> getCarDriverById(BigDecimal id) {
        return rmsCarDriverMapper.getCarDriverById(id);
    }

    /*
    * 运输类型下拉框
    * */
    @Override
    public List<Map<String, Object>> getTransportTypeId() {
        return rmsCarDriverMapper.getTransportTypeId();
    }


}

