package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsDriverCapacityMapper;
import com.steerinfo.dil.model.RmsDriverCapacity;
import com.steerinfo.dil.service.IRmsDriverCapacityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * RmsDriverCapacity服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-19 09:49
 * 类描述
 * 修订历史：
 * 日期：2021-11-19
 * 作者：generator
 * 参考：
 * 描述：RmsDriverCapacity服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsDriverCapacityService")
public class RmsDriverCapacityServiceImpl  implements IRmsDriverCapacityService {

    @Autowired
    private RmsDriverCapacityMapper rmsDriverCapacityMapper;


    @Override
    public List<Map<String, Object>> getDriverCapacityList(Map<String, Object> mapVal) {
        return rmsDriverCapacityMapper.getDriverCapacityList(mapVal);
    }

    @Override
    public int insertDriverCapacity(RmsDriverCapacity rmsDriverCapacity) {
        rmsDriverCapacity.setDriverCapacityId(rmsDriverCapacityMapper.selectDriverCapacityId());
        rmsDriverCapacity.setDeleted(new BigDecimal(0));
        rmsDriverCapacity.setInsertUsername("admin");
        rmsDriverCapacity.setInsertTime(new Date());
        return rmsDriverCapacityMapper.insertSelective(rmsDriverCapacity);
    }

    @Override
    public int updateDriverCapacity(RmsDriverCapacity rmsDriverCapacity) {
        rmsDriverCapacity.setUpdateUsername("admin");
        rmsDriverCapacity.setUpdateTime(new Date());
        return rmsDriverCapacityMapper.updateByPrimaryKeySelective(rmsDriverCapacity);
    }

    @Override
    public int deleteDriverCapacity(BigDecimal id) {
        RmsDriverCapacity rmsDriverCapacity = rmsDriverCapacityMapper.selectByPrimaryKey(id);
        rmsDriverCapacity.setDeleted(new BigDecimal(1));
        return rmsDriverCapacityMapper.updateByPrimaryKeySelective(rmsDriverCapacity);
    }

    @Override
    public List<Map<String, Object>> getDriverCapacityById(BigDecimal id) {
        return rmsDriverCapacityMapper.getDriverCapacityById(id);
    }

    @Override
    public List<Map<String, Object>> getCarrierId() {
        return rmsDriverCapacityMapper.getCarrierId();
    }

    @Override
    public List<Map<String, Object>> getDriverId() {
        return rmsDriverCapacityMapper.getDriverId();
    }

    @Override
    public List<Map<String, Object>> getCapacityTypeId() {
        return rmsDriverCapacityMapper.getCapacityTypeId();
    }
}
