package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.feign.AmsFeign;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.RmsOilPrice;
import com.steerinfo.dil.mapper.RmsOilPriceMapper;
import com.steerinfo.dil.service.IRmsOilPriceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsOilPricea服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-23 05:01
 * 类描述
 * 修订历史：
 * 日期：2021-11-23
 * 作者：generator
 * 参考：
 * 描述：RmsOilPricea服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsOilPriceService")
public class RmsOilPriceServiceImpl implements IRmsOilPriceService {

    @Autowired
    private RmsOilPriceMapper rmsOilPriceMapper;
    @Autowired
    private AmsFeign amsFeign;


    @Override
    //展示油价，该操作还有一些元素未明，框计算报错，但能通过测试，bug排除第二优先级
    public List<Map<String, Object>> getOilPriceList(Map<String, Object> mapVal) {
        return this.rmsOilPriceMapper.getOilPriceList(mapVal);
    }
    //插入新油价操作该操作正确无误，bug排查第三优先级
    @Override
    public int insertOilPrice(RmsOilPrice rmsOilPrice) {
        //批量修改油价
        amsFeign.batchUpdateTransportPriceByOilPrice1();
        rmsOilPrice.setInsertUsername("admin");
        rmsOilPrice.setInsertTime(new Date());
        rmsOilPrice.setDeleted(new BigDecimal(0));
        rmsOilPrice.setPriceId(rmsOilPriceMapper.selectOilPriceId());
        return rmsOilPriceMapper.insertSelective(rmsOilPrice);
    }

    @Override
    //更新油价，还需要改改，排查bug第一优先级
    public int updateOilPrice(RmsOilPrice rmsOilPrice) {
        rmsOilPrice.setUpdateUsername("admin");
        rmsOilPrice.setUpdateTime(new Date());
        //油价联动
        amsFeign.batchUpdateTransportPriceByOilPrice1();
        return  this.rmsOilPriceMapper.updateByPrimaryKeySelective(rmsOilPrice);
    }
    //根据Id删除油价,该操作通过测试，排查第三优先级
    @Override
    public Object deleteOilPrice(BigDecimal id) {
        RmsOilPrice rmsOilPrice = this.rmsOilPriceMapper.selectByPrimaryKey(id);
        rmsOilPrice.setDeleted(new BigDecimal(1));
        return this.rmsOilPriceMapper.updateByPrimaryKeySelective(rmsOilPrice) ;
    }


    //根据Id查询油价
    @Override
    public List<Map<String, Object>> getOilPriceById(BigDecimal id) {
        return this.rmsOilPriceMapper.getOilPriceById(id);
    }
}
