package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsPierMapper;
import com.steerinfo.dil.model.RmsPier;
import com.steerinfo.dil.service.IRmsPierService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * RmsPorta服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 11:20
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：RmsPorta服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsPierService")
public class RmsPierServiceImpl implements IRmsPierService {

    /**
     * 码头管理增删改查
     */


    @Autowired
    private RmsPierMapper rmsPierMapper;

    @Override
    public int insertPier(RmsPier rmsPier) {
        rmsPier.setId(rmsPierMapper.getPierId());
        rmsPier.setInsertUsername("admin");
        rmsPier.setInsertTime(new Date());
        rmsPier.setInsertUpdateRemark("无");
        rmsPier.setDeleted(new BigDecimal(0));
        return rmsPierMapper.insertSelective(rmsPier);
    }

    @Override
    public int updatePier(RmsPier rmsPier) {
        rmsPier.setUpdateUsername("admin");
        rmsPier.setUpdateTime(new Date());
        return rmsPierMapper.updateByPrimaryKeySelective(rmsPier);
    }

    @Override
    public Integer deletePier(BigDecimal pierId) {
        RmsPier rmsPier = rmsPierMapper.selectByPrimaryKey(pierId);
        rmsPier.setUpdateTime(new Date());
        rmsPier.setUpdateUsername("admin");
        rmsPier.setDeleted(new BigDecimal(1));
        return rmsPierMapper.updateByPrimaryKeySelective(rmsPier);
    }

    @Override
    public List<Map<String, Object>> getPier(Map<String, Object> mapVal) {
        return rmsPierMapper.getPier(mapVal);
    }

    /**
     * 获取港口下拉框
     * @return
     */
    @Override
    public List<Map<String,Object>> getPortId() {

        return rmsPierMapper.getPortId();
    }


}
