package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsPortMapper;
import com.steerinfo.dil.model.RmsPort;
import com.steerinfo.dil.service.IRmsPortService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * RmsPorta服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 11:20
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：RmsPorta服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsPortaService")
public class RmsPortServiceImpl implements IRmsPortService {


    /**
     * 港口增删改查
     */

    @Autowired
    private RmsPortMapper rmsPortMapper;

    @Override
    public int insertPort(RmsPort rmsPort) {
        rmsPort.setId(rmsPortMapper.getPortId());
        rmsPort.setInsertUsername("admin");
        rmsPort.setInsertTime(new Date());
        rmsPort.setInsertUpdateRemark("无");
        rmsPort.setDeleted(new BigDecimal(0));
       return rmsPortMapper.insertSelective(rmsPort);
    }

    @Override
    public int updatePort(RmsPort rmsPort) {
        rmsPort.setUpdateUsername("admin");
        rmsPort.setUpdateTime(new Date());
        return rmsPortMapper.updateByPrimaryKeySelective(rmsPort);
    }

    @Override
    public Integer deletePort(BigDecimal portId) {
        RmsPort rmsPort = rmsPortMapper.selectByPrimaryKey(portId);
        rmsPort.setUpdateTime(new Date());
        rmsPort.setUpdateUsername("admin");
        rmsPort.setDeleted(new BigDecimal(1));
        return rmsPortMapper.updateByPrimaryKeySelective(rmsPort);
    }

    @Override
    public List<Map<String, Object>> getPort(Map<String, Object> mapVal) {
       return rmsPortMapper.getPort(mapVal);
    }

    /**
     * 获取港口类型下拉框
     * @return
     */
    @Override
    public List<Map<String,Object>> getPortType() {

        return rmsPortMapper.getPortType();
    }

}
