package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsPortMapper;
import com.steerinfo.dil.mapper.RmsWarehouseMapper;
import com.steerinfo.dil.model.RmsWarehouse;
import com.steerinfo.dil.service.IRmsPortStorageYardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author luobang
 * @create 2021-11-15 15:20
 */
@Service
public class RmsPortStorageYardService implements IRmsPortStorageYardService {

    /**
     * 港存堆场增删改查
     */

    @Autowired
    private RmsPortMapper rmsPortMapper;

    @Autowired
    RmsWarehouseMapper rmsWarehouseMapper;

    @Override
    public int insertPortYard(RmsWarehouse rmsWarehouse) {
        rmsWarehouse.setId(rmsWarehouseMapper.selectWarehouseId());
        rmsWarehouse.setInsertUsername("admin");
        rmsWarehouse.setInsertTime(new Date());
        rmsWarehouse.setInsertUpdateRemark("无");
        rmsWarehouse.setDeleted(new BigDecimal(0));
        return rmsWarehouseMapper.insertSelective(rmsWarehouse);
    }

    @Override
    public int updatePortYard(RmsWarehouse rmsWarehouse) {
        rmsWarehouse.setUpdateUsername("admin");
        rmsWarehouse.setUpdateTime(new Date());
        return rmsWarehouseMapper.updateByPrimaryKeySelective(rmsWarehouse);
    }

    @Override
    public Integer deletePortYard(BigDecimal warehouseId) {
        RmsWarehouse rmsWarehouse = rmsWarehouseMapper.selectByPrimaryKey(warehouseId);
        rmsWarehouse.setUpdateTime(new Date());
        rmsWarehouse.setUpdateUsername("admin");
        rmsWarehouse.setDeleted(new BigDecimal(1));
        return rmsWarehouseMapper.updateByPrimaryKeySelective(rmsWarehouse);
    }

    @Override
    public List<Map<String, Object>> getPortYard(Map<String, Object> mapVal) {
        return rmsWarehouseMapper.getYardList(mapVal);
    }

    /**
     * 获取港口类型下拉框
     * @return
     */
    @Override
    public List<Map<String,Object>> getPortType() {

        return rmsPortMapper.getPortType();
    }

}
