package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsShipperMapper;
import com.steerinfo.dil.model.RmsShipper;
import com.steerinfo.dil.service.IRmsShipperService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * RmsShipper服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-09 04:28
 * 类描述
 * 修订历史：
 * 日期：2021-11-09
 * 作者：HuJieHuan
 * 参考：
 * 描述：RmsShipper服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsShipperService")
public class RmsShipperServiceImpl implements IRmsShipperService {

    @Autowired
    private RmsShipperMapper rmsShipperMapper;

    /**
     * 展示托运人信息
     * @param mapVal
     * @return
     */
    @Override
    public List<Map<String, Object>> getShipperList(Map<String, Object> mapVal) {
        
        return rmsShipperMapper.getShipperList(mapVal);
    }

    /**
     * 添加托运人信息
     * @param rmsShipper
     * @return
     */
    @Override
    public int insertShipper(RmsShipper rmsShipper) {
        int i=0;
        String shipperName=rmsShipper.getShipperName();
        Map<String, Object> map=new HashMap<>();
        map.put("shipperName",shipperName);
        List<RmsShipper> rmsShippers=rmsShipperMapper.selectByParameters(map);
        if (rmsShippers.size()!=0){
            i=-1;
        }
        else{
            rmsShipper.setInsertTime(new Date());
            rmsShipper.setInsertUsername("admin");
            rmsShipper.setDeleted(new BigDecimal(0));
            rmsShipper.setShipperId(rmsShipperMapper.getShipperId());
            i+=rmsShipperMapper.insertSelective(rmsShipper);
        }
        return i;
    }

    /**
     * 更新托运人信息
     * @param rmsShipper
     * @return
     */
    @Override
    public int updateShipper(RmsShipper rmsShipper) {
        rmsShipper.setUpdateUsername("admin");
        rmsShipper.setUpdateTime(new Date());
        return rmsShipperMapper.updateByPrimaryKeySelective(rmsShipper);
    }

    /**
     * 删除托运人信息
     * @param id
     * @return
     */
    @Override
    public int deleteShipper(BigDecimal id) {
        RmsShipper rmsShipper=rmsShipperMapper.selectByPrimaryKey(id);
        rmsShipper.setDeleted(new BigDecimal(1));
        return rmsShipperMapper.updateByPrimaryKeySelective(rmsShipper);
    }

    /**
     * 展示托运人信息
     * @param id
     * @return
     */
    @Override
    public List<Map<String, Object>> getShipperById(BigDecimal id) {
        return rmsShipperMapper.selectShipperById(id);
    }
}
