package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.RmsTruckCalculateMapper;
import com.steerinfo.dil.mapper.RmsTruckCalculateMaterialMapper;
import com.steerinfo.dil.model.RmsMaterial;
import com.steerinfo.dil.model.RmsTruckCalculate;
import com.steerinfo.dil.model.RmsTruckCalculateMaterial;
import com.steerinfo.dil.service.IRmsTruckCalculateService;
import com.steerinfo.dil.util.DataChange;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * RmsTruckCalculate服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-12 11:42
 * 类描述
 * 修订历史：
 * 日期：2021-11-12
 * 作者：generator
 * 参考：
 * 描述：RmsTruckCalculate服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "rmsTruckCalculateService")
public class RmsTruckCalculateServiceImpl implements IRmsTruckCalculateService {

    @Autowired
    private RmsTruckCalculateMapper rmsTruckCalculateMapper;
    @Autowired
    private RmsTruckCalculateMaterialMapper rmsTruckCalculateMaterialMapper;


    /*
    * 显示汽车衡信息
    * */
    @Override
    public List<Map<String, Object>> getTruckCalculateList(Map<String, Object> mapVal) {

        return rmsTruckCalculateMapper.getTruckCalculateList(mapVal);
    }
    /*
    * 增加汽车衡信息
    * map中存放rmsTruckCalculate基础信息，mapList存放物资信息
    * map1存放汽车衡基本信息
    * map2存放物资id，物资名称
    * */
    @Override
    public int insertTruckCalculate(Map<String, Object> map) {
        int i=0;
        Map<String,Object> map1= (Map<String, Object>) map.get("rmsTruckCalculate");
        RmsTruckCalculate rmsTruckCalculate=new RmsTruckCalculate();
            rmsTruckCalculate.setInsertUsername("admin");
            rmsTruckCalculate.setInsertTime(new Date());
            rmsTruckCalculate.setTruckCalculatePriority(new BigDecimal(1));
            rmsTruckCalculate.setTruckCalculateStatus("正常");
            rmsTruckCalculate.setTruckCalculateStatusTime(new Date());
            rmsTruckCalculate.setDeleted(new BigDecimal(0));
            //汽车衡编号
            rmsTruckCalculate.setTruckCalculateNumber((String) map1.get("truckCalculateNumber"));
            //纬度
            rmsTruckCalculate.setTruckCalculateLongitude((String) map1.get("truckCalculateLongitude"));
            //经度
            rmsTruckCalculate.setTruckCalculateLatitude((String) map1.get("truckCalculateLatitude"));
            //汽车衡/轨道衡
            rmsTruckCalculate.setCalculateType((String)map1.get("calculateType"));
            rmsTruckCalculate.setTruckCalculateId(rmsTruckCalculateMapper.selectTruckCalculateId());
            i+=rmsTruckCalculateMapper.insertSelective(rmsTruckCalculate);
            // RmsTruckCalculateMaterial表处理
            List<Map<String,Object>> mapList=(List<Map<String, Object>>) map.get("mapList");
            for(Map<String,Object> map2:mapList){
                BigDecimal materialId = DataChange.dataToBigDecimal(map2.get("materialId"));
                RmsTruckCalculateMaterial rmsTruckCalculateMaterial=new RmsTruckCalculateMaterial();
                rmsTruckCalculateMaterial.setTruckCalculateId(rmsTruckCalculate.getTruckCalculateId());
                rmsTruckCalculateMaterial.setMaterialId(materialId);
                rmsTruckCalculateMaterial.setDeleted(new BigDecimal(0));
                rmsTruckCalculateMaterial.setInsertTime(new Date());
                rmsTruckCalculateMaterial.setInsertUsername("admin");
                rmsTruckCalculateMaterial.setTruckCalculateMaterialId(rmsTruckCalculateMaterialMapper.getTruckCalculateMaterialId());
                i+=rmsTruckCalculateMaterialMapper.insertSelective(rmsTruckCalculateMaterial);
            }


        return i;
    }
    //删除汽车衡与物资中间表
    @Override
    public int deleteTruckCalculateMaterial(BigDecimal id) {
        RmsTruckCalculateMaterial rmsTruckCalculateMaterial = rmsTruckCalculateMaterialMapper.selectByPrimaryKey(id);
        rmsTruckCalculateMaterial.setDeleted(new BigDecimal(1));
        return rmsTruckCalculateMaterialMapper.updateByPrimaryKeySelective(rmsTruckCalculateMaterial);
    }


    //增加汽车衡下的物资
    @Override
    public int insertTruckCalculateOfMaterial(RmsTruckCalculateMaterial rmsTruckCalculateMaterial) {

            rmsTruckCalculateMaterial.setDeleted(new BigDecimal(0));
            rmsTruckCalculateMaterial.setInsertTime(new Date());
            rmsTruckCalculateMaterial.setInsertUsername("admin");
            rmsTruckCalculateMaterial.setTruckCalculateMaterialId(rmsTruckCalculateMaterialMapper.getTruckCalculateMaterialId());
            return rmsTruckCalculateMaterialMapper.insertSelective(rmsTruckCalculateMaterial);

    }


    /*
    * 更新汽车衡信息
    * */
    @Override
    public int updateTruckCalculate(Map<String,Object> map) {
        RmsTruckCalculate rmsTruckCalculate=new RmsTruckCalculate();
//        Map<String,Object> map1= (Map<String, Object>) map.get("rmsTruckCalculate");
        rmsTruckCalculate.setTruckCalculateId(DataChange.dataToBigDecimal(map.get("truckCalculateId")) );
        //汽车衡编号
        rmsTruckCalculate.setTruckCalculateNumber((String) map.get("truckCalculateNumber"));
        //纬度
        rmsTruckCalculate.setTruckCalculateLongitude((String) map.get("truckCalculateLongitude"));
        //经度
        rmsTruckCalculate.setTruckCalculateLatitude((String) map.get("truckCalculateLatitude"));
        //汽车衡/轨道衡
        rmsTruckCalculate.setCalculateType((String)map.get("calculateType"));
        //汽车衡状态
        rmsTruckCalculate.setTruckCalculateStatus((String)map.get("truckCalculateStatus"));
        //判断汽车衡正常或维保，更新状态时间
        if(rmsTruckCalculate.getTruckCalculateStatus().equals("维保")){
            rmsTruckCalculate.setTruckCalculateStatusTime(new Date());
        }
        rmsTruckCalculate.setUpdateUsername("admin");
        rmsTruckCalculate.setUpdateTime(new Date());
        return rmsTruckCalculateMapper.updateByPrimaryKeySelective(rmsTruckCalculate);
    }
    /*
    * 删除汽车衡信息
    * */
    @Override
    public int deleteTruckCalculate(BigDecimal id) {
        RmsTruckCalculate rmsTruckCalculate = rmsTruckCalculateMapper.selectByPrimaryKey(id);
        rmsTruckCalculate.setDeleted(new BigDecimal(1));
        return rmsTruckCalculateMapper.updateByPrimaryKeySelective(rmsTruckCalculate);
    }



    /*
    * 根据汽车衡id进行查询
    * */
    @Override
    public List<Map<String, Object>> getTruckCalculateById(BigDecimal id) {
        return rmsTruckCalculateMapper.getTruckCalculateById(id);
    }
}
