package com.steerinfo.dil.rmsbidarea.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="承运商中标区域")
public class RmsBidArea implements IBasePO<Short> {
    /**
     * 主键ID(BID_AREA_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private Short bidAreaId;

    /**
     * 中标区域所在省(BID_AREA_PROVINCE,VARCHAR,20)
     */
    @ApiModelProperty(value="中标区域所在省",required=false)
    private String bidAreaProvince;

    /**
     * 中标区域市(BID_AREA_CITY,VARCHAR,20)
     */
    @ApiModelProperty(value="中标区域市",required=false)
    private String bidAreaCity;

    /**
     * 中标区域县(BID_AREA_COUNTY,VARCHAR,20)
     */
    @ApiModelProperty(value="中标区域县",required=false)
    private String bidAreaCounty;

    /**
     * 中标区域乡镇(BID_AREA_COUNTRY,VARCHAR,20)
     */
    @ApiModelProperty(value="中标区域乡镇",required=false)
    private String bidAreaCountry;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public Short getId() {
        return this.bidAreaId;
    }

    @Override
    public void setId(Short bidAreaId) {
        this.bidAreaId = bidAreaId;
    }

    public Short getBidAreaId() {
        return bidAreaId;
    }

    public void setBidAreaId(Short bidAreaId) {
        this.bidAreaId = bidAreaId;
    }

    public String getBidAreaProvince() {
        return bidAreaProvince;
    }

    public void setBidAreaProvince(String bidAreaProvince) {
        this.bidAreaProvince = bidAreaProvince == null ? null : bidAreaProvince.trim();
    }

    public String getBidAreaCity() {
        return bidAreaCity;
    }

    public void setBidAreaCity(String bidAreaCity) {
        this.bidAreaCity = bidAreaCity == null ? null : bidAreaCity.trim();
    }

    public String getBidAreaCounty() {
        return bidAreaCounty;
    }

    public void setBidAreaCounty(String bidAreaCounty) {
        this.bidAreaCounty = bidAreaCounty == null ? null : bidAreaCounty.trim();
    }

    public String getBidAreaCountry() {
        return bidAreaCountry;
    }

    public void setBidAreaCountry(String bidAreaCountry) {
        this.bidAreaCountry = bidAreaCountry == null ? null : bidAreaCountry.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", bidAreaId=").append(bidAreaId);
        sb.append(", bidAreaProvince=").append(bidAreaProvince);
        sb.append(", bidAreaCity=").append(bidAreaCity);
        sb.append(", bidAreaCounty=").append(bidAreaCounty);
        sb.append(", bidAreaCountry=").append(bidAreaCountry);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}